/**********************************************************************************
This program is copyright by Asger Cronberg Ipsen and Philip Kaare Lventoft
(here after referred to as "the authors").
Released under the GNU General Public License.

Disclaimer:
By compiling, using or just reading this code you agree to the following:
By no means can the authors be held responsible for, including but not
limited to: any physical damage inflicted by the program, any data lost,
any other problems.

WARNING: This software is not in any way ready for public consumption and
you should only proceed using it, provided that you are ready for the
problems that will follow.

Please give us feedback at: (zxmaster@ofir.dk) (asger@v-data.dk).
**********************************************************************************/
// C Source File
// Created 15-09-2003; 20:16:32

#define USE_TI89              // Compile for TI-89

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define MIN_AMS 205           // Compile for AMS 2.05 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files
#include "Menulib.h"

void _main(void)
{

	int i=0;
	clrscr();
	FontSetSys (F_6x8);
	char *menuitem[10];
	char menuitem0[50];
	char menuitem1[50];
	char menuitem2[50];
	char menuitem3[50];
	char menuitem4[50];
	char menuitem5[50];
	char menuitem6[50];
	char selection[10];
	menuitem[0]=menuitem0;
	menuitem[1]=menuitem1;
	menuitem[2]=menuitem2;
	menuitem[3]=menuitem3;
	menuitem[4]=menuitem4;
	menuitem[5]=menuitem5;
	menuitem[6]=menuitem6;
	menuitem[7]=NULL;

	DrawStr (0,0, "Menulib test prog", A_NORMAL);
	ngetchx();

	sprintf(menuitem[0], "%s", "Dild");
	sprintf(menuitem[1], "%s", "Hej");
	sprintf(menuitem[2], "%s", "goddag");
	sprintf(menuitem[3], "%s", "Achtung");
	sprintf(menuitem[4], "%s", "Esc");
	sprintf(menuitem[5], "%s", "Erlkoenig");
	sprintf(menuitem[6], "%s", "Ti-89 rules");
	
	i = menufunc(menuitem, "500% max");
	sprintf(selection, "%d", i);
	DrawStr (0,0, selection, A_NORMAL);
	DrawStr (0,9, menuitem[i], A_NORMAL);
	switch (i)
	{
		case 0:
			{
			DrawStr (0,28, "Dild, et klogt valg", A_NORMAL);
			break;
			}
		case 1:
			{
			DrawStr (0,28, "Prut", A_NORMAL);
			break;
			}
		case 2:
			{
			DrawStr (0,28, "Red Warszawa rocks", A_NORMAL);
			break;
			}
		case 3:
			{
			DrawStr (0,28, "Du hast...", A_NORMAL);
			break;
			}
		case 4:
			{
			DrawStr (0,28, "The most commonly used key", A_NORMAL);
			break;
			}
		case 5:
			{
			DrawStr (0,28, "Ummmh elvish king...", A_NORMAL);
			break;
			}
		case 6:
			{
			DrawStr (0,28, "Vores allesammens ynglingstal", A_NORMAL);
			break;
			}
	}
	ngetchx();


return;
}



